Next: difftime, Previous: clock, Up: Timefns

### 8.3 `ctime`—convert time to local and format as string

Synopsis

         #include <time.h>
         char *ctime(const time_t *clock);
         char *ctime_r(const time_t *clock, char *buf);

Description
Convert the time value at clock to local time (like `localtime`) and format it into a string of the form

          Wed Jun 15 11:38:07 1988\n\0

(like `asctime`).

Returns
A pointer to the string containing a formatted timestamp.

Portability
ANSI C requires `ctime`.

`ctime` requires no supporting OS subroutines.